[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomForm.VisibleChanged

Notifies all handlers when the visibility for the form has been changed.

## Declaration

Source position: forms.pp line 669

`protected procedure TCustomForm.VisibleChanged; override;`

## Description

Calls the inherited method on entry.

When the Screen singleton has been assigned, its NotifyScreenFormHandler method is called to signal all snFormVisibleChanged handlers in the class instance.

Called after a new value has been assigned to the Visible property for the control (or form).

## See also

Screen |  | The TScreen singleton for the application.
TScreenNotification |  | Screen notification events and handler types.